/*замена значения л,с с одного id на другое*/
declare
 vLSOLD int;
 vLSNEW int;
 newID int;
begin

 vLSOLD:=...; /*здесь указываем старый ID*/
 vLSNEW:=...; /*здесь указываем новый ID*/

 for q_ in (
            select L.ID
             from DG_DOG D
             join DG_LS_DOG L on L.DOG_ID=D.ID
             join DG_LS_TYPES LT on LT.ID=L.TYPEID
              where D.S_CLASS=1003737 and D.S_S=1000235 and D.DBEG>=sysdate and LT.SYSTYPE in (27,28)
             ) LOOP
    
    update DG_PERIODIC_OBJ
    set VAL_ID=vLSNEW
    where ATT='LSID' and VNESHID=q_.ID and VAL_ID=vLSOLD;
 
 end LOOP; 
  

end;



